For the complete documentation index, see llms.txt. This page is also available as Markdown.

Top Up Frequent Savings

This endpoint allows customers to add funds to an existing frequent savings account.

POST /api/savingsaccount/v1/frequentsavings/topup

To top up a frequent savings account, you need to provide the necessary body parameters, such as accountNumber, instrumentNumber, and topUpAmount.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference*

{unique_reference}

Body

Name
Data Type (Length)
Required
Description

accountNumber

string (50)

This is the Savings Account Number that will be credited. This is not the Liquidation Account.

instrumentNumber

string (100)

The instrument number of the frequent savings account to be topped up. Used to prevent duplicate requests.

topUpAmount

Integer

The amount to be topped up into the frequent savings account. The amount should be sent in the base unit of the currency. For example, 1000 naira will be sent as 1000 * 100.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/savingsaccount/v1/frequentsavings/topup' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "accountNumber": "string",
  "instrumentNumber": "string",
  "topUpAmount": 0
}'
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "statusCode": "string",
    "referenceNumber": "string",
    "instrumentNumber": "string",
    "message": "string",
    "duration": "string",
    "sessionID": "string"
  },
  "isSuccessful": true,
  "statusCode": "string",
  "referenceNumber": "string",
  "instrumentNumber": "string",
  "duration": "string",
  "sessionID": "string"
}

Last updated